---
draft: false 
date: 2025-01-22
updated: 2025-01-22
authors:
  - nicole
categories:
  - General
tags:
  - Windows Server
  - Power Profiles
  - Virtualization
  - Veeam
---

# Windows Power Profiles Causing Notable CPU Performance Loss
So I've been noticing a trend recently regarding something I never really took much time to consider, but later realized had huge potential to impact performance of potentially both physical and virtual servers.  (I have not personally seen it affect virtual machines, but it's plausible it could happen).

## Overview of the Problem
The general idea is that Windows devices (Workstations & Servers) have what are called power "**profiles**".  These profiles, by default, are set to "**Balanced**".  Which in basic terms means that the operating system will artificially limit the CPU speed to below 2.0GHz at all times.  This means if the CPU is capable of 4GHz, it will be limited to 2GHz no-matter-what.  This is a huge problem since it leaves performance just sitting on the table.

## Observations & Actions Taken
When I learned of the above, I began to audit every Windows-based server and workstation (Physical and Virtual) in my homelab. The virtual machines seemed unaffected by this issue, but I still configured them to "**High Performance**" power profiles regardless. However, every single physical host (`VIRT-NODE-01`, `VIRT-NODE-02`, and `LAB-DRAAS-01`), all saw notable performance improvements ranging from 32% to 41%, on average going from 1.75GHz to 2.6GHz on the virtualization hosts, and 1.9GHz to 3.2GHz on the backup server. 

## Final Thoughts
I am so upset that for so many years, it never occured to me that the power profiles applied to server operating systems.  I always just *assumed* they ran in "**High Performance**" power profiles all the time.  I discovered I had non-trivial amounts of performance loss because of this simple checkbox setting in the OS.  


!!! success "Performance Improvements"
    The two Hyper-V Failover Cluster hosts saw a **32%** performance improvement (**1.75GHz to 2.6GHz**), while the Veeam Backup & Replication Server host observed a whopping **42%** performance improvement (**1.9GHz to 3.2GHz**).  